Subject: Re: Bug in 2.48 with `git refs migrate`

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Jan 2025 16:04:35 -0800

"brian m. carlson" <[email-masked]> writes:

> On 2025-01-15 at 11:54:51, Karthik Nayak wrote:
>> "brian m. carlson" <[email-masked]> writes:
>> I'm attaching a patch below which should fixes the issue for me and also
>> adding a test to test against the same. I'd be grateful if you could
>> also test the patch against the repositoryies you mention.
>
> I can confirm that the patch did indeed fix the problem.  I was able to
> convert both repositories successfully (and very quickly, no less), and
> they both work fine (I did normal development activity with them) with
> an unmodified Git 2.48 after the migration process.
>
> Thanks again for the quick fix.

Thanks, both.  Let's merge it down to 'next' and then to 'master',
then.